1. Live
api.video
  • Account
    • Show account
      GET
  • Analytics
    • List live stream player sessions
      GET
    • List player session events
      GET
    • List video player sessions
      GET
  • Authentication
    • Authenticate
      POST
    • Refresh token
      POST
  • Live
    • List all live streams
      GET
    • Create live stream
      POST
    • Delete a live stream
      DELETE
    • Show live stream
      GET
    • Update a live stream
      PATCH
    • Delete a thumbnail
      DELETE
    • Upload a thumbnail
      POST
  • Players
    • List all players
      GET
    • Create a player
      POST
    • Delete a player
      DELETE
    • Show a player
      GET
    • Update a player
      PATCH
    • Delete logo
      DELETE
    • Upload a logo
      POST
  • Videos - Delegated upload
    • Upload with an upload token
      POST
    • List all active upload tokens.
      GET
    • Generate an upload token
      POST
    • Delete an upload token
      DELETE
    • Show upload token
      GET
  • Videos
    • List all videos
    • Create a video
    • Delete a video
    • Show a video
    • Update a video
    • Upload a video
    • Show video status
    • Pick a thumbnail
    • Upload a thumbnail
  • Captions
    • List video captions
    • Delete a caption
    • Show a caption
    • Update caption
    • Upload a caption
  • Chapters
    • List video chapters
    • Delete a chapter
    • Show a chapter
    • Upload a chapter
  • Webhooks
    • List all webhooks
    • Create Webhook
    • Delete a Webhook
    • Show Webhook details
  • Schemas
    • Schemas
      • AccessToken
      • AccessToken
      • Account
      • Account
      • apiKey
      • apiKey
      • BadRequest
      • BadRequest
      • bytes_range
      • VideoCaptions
      • VideoCaptions
      • UpdateCaptionPayload
      • UpdateCaptionPayload
      • captions-upload-payload
      • Chapter
      • Chapter
      • VideoChapters
      • VideoChapters
      • UpdateChapterPayload
      • UpdateChapterPayload
      • link
      • LiveStream
      • LiveStream
      • liveStreamCreationPayload
      • liveStreamCreationPayload
      • LiveStreams
      • LiveStreams
      • Live Stream Session
      • Live Stream Session
      • live-stream-thumbnail-upload-payload
      • LiveStreamUpdatePayload
      • LiveStreamUpdatePayload
      • live_stream_assets
      • live_stream_session_client
      • live_stream_session_device
      • live_stream_session_location
      • live_stream_session_referrer
      • live_stream_session_session
      • metadata
      • NotFound
      • NotFound
      • Pagination
      • Pagination
      • PaginationLink
      • PaginationLink
      • Player
      • Player
      • Player Session Event
      • Player Session Event
      • playerCreationPayload
      • playerUpdatePayload
      • PlayerInput
      • PlayerInput
      • Players
      • Players
      • players-upload-logo-payload
      • quality
      • LiveStreamSessions
      • LiveStreamSessions
      • PlayerSessionEvents
      • PlayerSessionEvents
      • VideoSessions
      • VideoSessions
      • refreshToken
      • refreshToken
      • Subtitle
      • Subtitle
      • tokenCreationPayload
      • tokenCreationPayload
      • uploadTokens
      • uploadTokens
      • token-upload-payload
      • UploadToken
      • UploadToken
      • video
      • videoCreationPayload
      • videoCreationPayload
      • Video Session
      • Video Session
      • pickThumbnailPayload
      • pickThumbnailPayload
      • video-thumbnail-upload-payload
      • videoUpdatePayload
      • videoUpdatePayload
      • video-upload-payload
      • videoAssets
      • videoSource
      • video_session_client
      • video_session_device
      • video_session_location
      • video_session_os
      • video_session_referrer
      • video_session_session
      • video_source_live_stream
      • video_source_live_stream_link
      • Videos
      • Videos
      • VideoStatus
      • VideoStatus
      • videostatus_encoding
      • videostatus_encoding_metadata
      • videostatus_ingest
      • Webhook
      • Webhook
      • webhooks-create-payload
      • Webhooks
      • Webhooks
  1. Live

List all live streams

GET
/live-streams
With no parameters added to the url, this will return all livestreams. Query by name or key to limit the list.

Request

Query Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://ws.api.video/live-streams'
Response Response Example
{
    "data": [
        {
            "assets": {
                "hls": "https://live.api.video/li400mYKSgQ6xs7taUeSaEKr.m3u8",
                "iframe": "<iframe src=\"https://embed.api.video/live/li400mYKSgQ6xs7taUeSaEKr\" width=\"100%\" height=\"100%\" frameborder=\"0\" scrolling=\"no\" allowfullscreen=\"\"></iframe>",
                "player": "https://embed.api.video/live/li400mYKSgQ6xs7taUeSaEKr",
                "thumbnail": "https://cdn.api.video/live/li400mYKSgQ6xs7taUeSaEKr/thumbnail.jpg"
            },
            "broadcasting": false,
            "createdAt": "2020-01-31T10:17:47.000Z",
            "liveStreamId": "li400mYKSgQ6xs7taUeSaEKr",
            "name": "Live Stream From the browser",
            "public": true,
            "record": true,
            "streamKey": "30087931-229e-42cf-b5f9-e91bcc1f7332",
            "updatedAt": "2020-03-09T13:19:43.000Z"
        },
        {
            "assets": {
                "hls": "https://live.api.video/li4pqNqGUkhKfWcBGpZVLRY5.m3u8",
                "iframe": "<iframe src=\"https://embed.api.video/live/li4pqNqGUkhKfWcBGpZVLRY5\" width=\"100%\" height=\"100%\" frameborder=\"0\" scrolling=\"no\" allowfullscreen=\"\"></iframe>",
                "player": "https://embed.api.video/live/li4pqNqGUkhKfWcBGpZVLRY5",
                "thumbnail": "https://cdn.api.video/live/li4pqNqGUkhKfWcBGpZVLRY5/thumbnail.jpg"
            },
            "broadcasting": false,
            "createdAt": "2020-07-29T10:45:35.000Z",
            "liveStreamId": "li4pqNqGUkhKfWcBGpZVLRY5",
            "name": "Live From New York",
            "public": true,
            "record": true,
            "streamKey": "cc1b4df0-d1c5-4064-a8f9-9f0368385135",
            "updatedAt": "2020-07-29T10:45:35.000Z"
        }
    ],
    "pagination": {
        "currentPage": 1,
        "currentPageItems": 19,
        "itemsTotal": 19,
        "links": [
            {
                "rel": "self",
                "uri": "/live-streams?currentPage=1&pageSize=25"
            },
            {
                "rel": "first",
                "uri": "/live-streams?currentPage=1&pageSize=25"
            },
            {
                "rel": "last",
                "uri": "/live-streams?currentPage=1&pageSize=25"
            }
        ],
        "pageSize": 25,
        "pagesTotal": 1
    }
}
Modified at 2023-08-15 05:52:15
Previous
Refresh token
Next
Create live stream
Built with